[lkml]   [2002]   [Jun]   [12]   [last100]   RSS Feed
Views: [wrap][no wrap]   [headers]  [forward] 
Messages in this thread
    SubjectRe: ANN: Linux 2.2 driver compatibility toolkit
    Ion Badulescu wrote:
    > On Mon, 10 Jun 2002 17:40:18 -0400, Jeff Garzik <> wrote:
    >>Don't load your drivers up with 2.2.x compatibility junk. Write a 2.4.x
    >>driver... and use this toolkit to make it work under 2.2.
    > Now, if you could get Alan to include it in, that would be even
    > better. I could probably drop 90% of the cruft I have in starfire-kcomp22.h...

    Absolutely.... I haven't mentioned this to Alan specifically, but it is
    indeed a direction I would like to go. A good step would be getting
    your help to make sure that starfire works with kcompat24 (perhaps with
    minor patching) :) If we have tested patches ready for 2.2 that will
    go a long way towards winning Alan's acceptance, I'm sure.

    Another idea I just had: a good way to introduce kcompat24 to 2.2 is to
    use it to add a few 2.4.x-only net drivers to 2.2. That way nothing
    changes [initially], only additions are made.


    To unsubscribe from this list: send the line "unsubscribe linux-kernel" in
    the body of a message to
    More majordomo info at
    Please read the FAQ at

     \ /
      Last update: 2005-03-22 13:26    [W:0.023 / U:3.880 seconds]
    ©2003-2016 Jasper Spaans. hosted at Digital OceanAdvertise on this site